Description

It is not possible to change sort order with introducted group by date columns (see #13803).

If you want to change sort order by clicking on column header, no changes are visible.

Related issues:

Related to Redmine - Feature #13803: Implement grouping issues by date (start... Closed

Associated revisions

Revision 19655 - 2020-04-05 11:43 - Jean-Philippe Lang

Fix sort does not work with group by datetime columns (#33110).

Patch by Marius BALTEANU.

Revision 19665 - 2020-04-05 13:20 - Jean-Philippe Lang

Merged r19655 to 4.1-stable (#33110).

History

#1 - 2020-03-25 05:16 - Go MAEDA

Could you describe more details? I could not find any problem. Rows are sorted if you click the column header.

#2 - 2020-03-25 06:00 - Alexander Meindl

Hi,

after testing it again, I found out, that this problem exists only in time entries list and project list. Issue list works as excepted.

E.g. for the bug:

1. go to spent time list

2. Group results by: Created (or any other of type TimestampQueryColumn)

3. try to sort colmns (this does not work for any column)

ps: no plugins are installed for my tests. Redmine 4.1, Ruby 2.6.5, MySQL (also tested it with Postgres)

#3 - 2020-03-26 20:32 - Marius BĂLTEANU

- Status changed from New to Confirmed

#4 - 2020-03-29 14:32 - Marius BĂLTEANU

- Related to Feature #13803: Implement grouping issues by date (start, due, creation, update, closing dates) added

#5 - 2020-03-29 14:45 - Marius BĂLTEANU

- File 0001-Fix-sort-does-not-work-with-group-by-datetime-column.patch added

- Assignee set to Jean-Philippe Lang

- Target version set to 4.1.1

I've investigated this issue and the sort works, but not as expected because the sort takes into consideration the time of timestamp columns and not

only the date value as the grouping does. Also, the problem can be reproduced on issues list as well if you have the correct test data. More details in

the patch.
https://www.redmine.org/issues/13803


I was to able to fix by using the attached patch. Jean-Philippe, please take a look on this. All tests pass on my CI: 

https://gitlab.com/redmine-org/redmine/pipelines/130760933

Alexander Kulemin, can you confirm the fix, please?

#6 - 2020-03-29 14:49 - Marius BĂLTEANU

- Subject changed from Sort does not work with group by date columns to Sort does not work with group by datetime columns

#7 - 2020-03-31 10:57 - Alexander Meindl

Hi Marius,

thanks for the patch! This solved the problem. Create work and not easy to address the problem.

#8 - 2020-04-05 11:43 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

Committed, thanks.

#9 - 2020-04-05 13:21 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

Merged.

Files

0001-Fix-sort-does-not-work-with-group-by-datetime-column.patch 2.54 KB 2020-03-29 Marius BĂLTEANU
